CadQuery: How to move/translate extruded sketch
In our previous example CadQuery minimal sketch extrude example we showed how to create and extrude a simple sketch.
You can translate this easily using
result = result.translate(cq.Vector(1,0,0))
Full example
import cadquery as cq
# Create workplane (2d coordinate system for us to create the sketch in)
wp = cq.Workplane("XY")
# Create sketch, create rect, close sketch and extrude the resulting face
result = wp.sketch().rect(2, 2).finalize().extrude(0.1)
result = result.translate(cq.Vector(1,0,0))
result # This line is just to show the result in cq-editor or jupyter